ros-rolling-interactive-markers (2.8.3-2noble) noble; urgency=high

  * Use new ROSIDL aggregate CMake target (#119 <https://github.com/ros-visualization/interactive_markers/issues/119>)
  * Contributors: Emerson Knapp

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 07 Apr 2026 22:00:00 -0000

ros-rolling-interactive-markers (2.8.2-2noble) noble; urgency=high

  * Cleanup mislabeled BSD license (#118 <https://github.com/ros-visualization/interactive_markers/issues/118>)
  * Contributors: Alejandro Hernández Cordero

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 23 Nov 2025 23:00:00 -0000

ros-rolling-interactive-markers (2.8.1-2noble) noble; urgency=high

  * Explicit Time comparissons (#105 <https://github.com/ros-visualization/interactive_markers/issues/105>)
  * fix cmake deprecation (#113 <https://github.com/ros-visualization/interactive_markers/issues/113>)
  * Contributors: AiVerisimilitude, mosfet80

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 06 Oct 2025 22:00:00 -0000

ros-rolling-interactive-markers (2.8.0-2noble) noble; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 27 Apr 2025 22:00:00 -0000

ros-rolling-interactive-markers (2.7.0-2noble) noble; urgency=high

  * Deprecating tf2 C Headers (#109 <https://github.com/ros-visualization/interactive_markers/issues/109>)
  * Remove CODEOWNERS and mirror-rolling-to-main workflow (#110 <https://github.com/ros-visualization/interactive_markers/issues/110>)
  * Contributors: Alejandro Hernández Cordero, Lucas Wendland

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 19 Dec 2024 23:00:00 -0000

ros-rolling-interactive-markers (2.6.1-2noble) noble; urgency=high

  * Use non deprecated API (#108 <https://github.com/ros-visualization/interactive_markers/issues/108>)
  * Contributors: Alejandro Hernández Cordero

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 07 Jul 2024 22:00:00 -0000

ros-rolling-interactive-markers (2.6.0-2noble) noble; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 25 Apr 2024 22:00:00 -0000

ros-rolling-interactive-markers (2.5.4-2noble) noble; urgency=high

  * Shorten the length of a lambda. (#106 <https://github.com/ros-visualization/interactive_markers/issues/106>)
  * Contributors: Chris Lalancette

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 27 Mar 2024 23:00:00 -0000

ros-rolling-interactive-markers (2.5.3-2noble) noble; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-rolling-interactive-markers (2.5.2-2noble) noble; urgency=high

  * Fixed C++20 warning that ‘++’ expression of ‘volatile’-qualified type is deprecated (#102 <https://github.com/ros-visualization/interactive_markers/issues/102>)
  * Contributors: AiVerisimilitude

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 03 Oct 2023 22:00:00 -0000

ros-rolling-interactive-markers (2.5.1-2noble) noble; urgency=high

  * Cleanup of interactive markers (#101 <https://github.com/ros-visualization/interactive_markers/issues/101>)
  * Contributors: Chris Lalancette

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-rolling-interactive-markers (2.5.0-2noble) noble; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 27 Apr 2023 22:00:00 -0000

ros-rolling-interactive-markers (2.4.0-2noble) noble; urgency=high

  * Update interactive_markers to C++17. (#99 <https://github.com/ros-visualization/interactive_markers/issues/99>)
  * Update maintainers (#98 <https://github.com/ros-visualization/interactive_markers/issues/98>)
  * Mirror rolling to ros2
  * update maintainer (#92 <https://github.com/ros-visualization/interactive_markers/issues/92>)
  * Contributors: Audrow Nash, Chris Lalancette, Dharini Dutia

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 13 Feb 2023 23:00:00 -0000

ros-rolling-interactive-markers (2.3.2-2noble) noble; urgency=high

  * Do not publish if context is invalid during shutdown (#89 <https://github.com/ros-visualization/interactive_markers/issues/89>)
  * Contributors: Jacob Perron

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 07 Apr 2022 22:00:00 -0000

ros-rolling-interactive-markers (2.3.1-2noble) noble; urgency=high

  * Install includes to include/ and misc CMake fixes (#85 <https://github.com/ros-visualization/interactive_markers/issues/85>)
  * Contributors: Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-rolling-interactive-markers (2.3.0-2noble) noble; urgency=high

  * Fix deprecation warning introduced after client API update (#83 <https://github.com/ros-visualization/interactive_markers/issues/83>)
  * Fix deprecated sub callback warnings (#84 <https://github.com/ros-visualization/interactive_markers/issues/84>)
  * Include tf2_geometry_msgs.hpp instead of the h file. (#82 <https://github.com/ros-visualization/interactive_markers/issues/82>)
  * Contributors: Abrar Rahman Protyasha, Chris Lalancette, Ivan Santiago Paunovic

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 17 Oct 2021 22:00:00 -0000

ros-rolling-interactive-markers (2.2.0-2noble) noble; urgency=high

  * Cleanup bsd 3 clause license usage (#61 <https://github.com/ros-visualization/interactive_markers/issues/61>)
  * Add missing includes (#81 <https://github.com/ros-visualization/interactive_markers/issues/81>)
  * Contributors: Bjar Ne, Tully Foote

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 17 Mar 2021 23:00:00 -0000

ros-rolling-interactive-markers (2.1.3-2noble) noble; urgency=high

  * Update maintainers (#79 <https://github.com/ros-visualization/interactive_markers/issues/79>)
  * Increase test timeout necessary for Connext (#77 <https://github.com/ros-visualization/interactive_markers/issues/77>)
  * Fix clang warnings (#75 <https://github.com/ros-visualization/interactive_markers/issues/75>)
  * Contributors: Dirk Thomas, Jacob Perron

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 07 Dec 2020 23:00:00 -0000

ros-rolling-interactive-markers (2.1.2-2noble) noble; urgency=high

  * Remove explicit template parameter in spin_until_future_complete (#72 <https://github.com/ros-visualization/interactive_markers/issues/72>)
  * Contributors: Sarthak Mittal

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 25 Jun 2020 22:00:00 -0000

ros-rolling-interactive-markers (2.1.1-2noble) noble; urgency=high

  * export targets in a addition to include directories / libraries (#70 <https://github.com/ros-visualization/interactive_markers/issues/70>)
  * Contributors: Dirk Thomas

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 02 Jun 2020 22:00:00 -0000

ros-rolling-interactive-markers (2.1.0-2noble) noble; urgency=high

  * avoid new deprecations (#69 <https://github.com/ros-visualization/interactive_markers/issues/69>)
  * Merge pull request #60 <https://github.com/ros-visualization/interactive_markers/issues/60> from ros-visualization/revert-58-bsd3clause_fixup
  * Revert "Cleanup bsd 3 clause license usage"
  * Merge pull request #58 <https://github.com/ros-visualization/interactive_markers/issues/58> from ros-visualization/bsd3clause_fixup
  * code style only: wrap after open parenthesis if not in one line (#57 <https://github.com/ros-visualization/interactive_markers/issues/57>)
  * Cleanup bsd 3 clause license usage
  * Contributors: Dirk Thomas, Tully Foote, William Woodall

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 29 Apr 2020 22:00:00 -0000

ros-rolling-interactive-markers (2.0.1-2noble) noble; urgency=high

  * Fix test flakes by waiting for pub/sub discovery (#55 <https://github.com/ros-visualization/interactive_markers/issues/55>)
  * Add parameters for QoS of update and feedback topics (#54 <https://github.com/ros-visualization/interactive_markers/issues/54>)
  * Port Python implementation to ROS 2 (#53 <https://github.com/ros-visualization/interactive_markers/issues/53>)
    * Move Python files to their own directory
    * Install Python via ament_cmake_python
    * Make Python implementation ROS 2 compatible
    * Use docstrings
    * Minor refactor of callback logic
    * Guard against None values and KeyError's
    * Change insert() signature to take keyword arguments
    * Rename variables for clarity (e.g. 'cb' -> 'callback')
    * Fix PEP 257 errors
    * Remove unused setup.py
    * Enable flake8 tests and fix errors
    * Improve performance
    * Clear pending updates after applying all of them
    * Don't rely on user to apply any pose updates
    * Expose QoSProfile a parameter
    * Add Python implementation dependencies to package.xml
  * Contributors: Jacob Perron

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-rolling-interactive-markers (2.0.0-2noble) noble; urgency=high

  * Add missing visibility macros (#51 <https://github.com/ros-visualization/interactive_markers/issues/51>)
  * Less verbose logging (#45 <https://github.com/ros-visualization/interactive_markers/issues/45>)
  * Rename enums to avoid collisions with MSVC compiler defines (#49 <https://github.com/ros-visualization/interactive_markers/issues/49>)
  * Catch polymorphic exceptions by reference (#48 <https://github.com/ros-visualization/interactive_markers/issues/48>)
  * Port to ROS 2 (#44)
    
    Style and other aesthetic changes
    
    Use tf2::BufferCoreInterface
    
    Replace 'init' topic with a ROS service
    
    Merge SingleClient logic into InteractiveMarkerClient
    
    Remove notion of server ID
    
    Add feedback publisher to client
    
    Default to C++14 and set stricter compiler flags
    
    Fix Windows compiler warnings
    
    Remove StateMachine class
    
    Fix Clang warnings
  * Contributors: David Gossow, Jacob Perron, Scott K Logan

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 25 Sep 2019 22:00:00 -0000

ros-rolling-interactive-markers (1.11.4-2noble) noble; urgency=high

  * Fixed a crash when updates arrive, or are being processed, while shutdown is called (#36 <https://github.com/ros-visualization/interactive_markers/issues/36>)
  * Contributors: Simon Schmeisser

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 15 Apr 2018 22:00:00 -0000

ros-rolling-interactive-markers (1.11.3-2noble) noble; urgency=high

  * The ``processFeedback`` function of the menu handler no longer catches the ``KeyErrors`` of the feedback_cb.
    See: #29 <https://github.com/ros-visualization/interactive_markers/issues/29>
  * Added the ``empty()`` and ``size()`` members to ``InteractiveMarkerServer`` interface.
    See: #30 <https://github.com/ros-visualization/interactive_markers/issues/30>
  * Contributors: Blake Anderson, Guglielmo Gemignani

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 23 Aug 2016 22:00:00 -0000

ros-rolling-interactive-markers (1.11.2-2noble) noble; urgency=high

  * Fix build when disabling tests with ``-DCATKIN_ENABLE_TESTING=OFF``.
    See: #26 <https://github.com/ros-visualization/interactive_markers/issues/26>
  * Fix use of uninitialized variables.
    See: #24 <https://github.com/ros-visualization/interactive_markers/issues/24>
  * Fix potential segfault when shutting down.
    See: #25 <https://github.com/ros-visualization/interactive_markers/issues/25>
  * Contributors: Alexis Ballier, David Gossow, Max Schwarz

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 23 Aug 2016 22:00:00 -0000

ros-rolling-interactive-markers (1.11.1-2noble) noble; urgency=high

  * Added explicit keyword argument queue_size for publisher in Python code and use the same default queue_size value as C++.
  * Fixed a SEGFAULT in setPose reported in #18 <https://github.com/ros-visualization/interactive_markers/issues/18>
    Previously, calling setPose() on an interactive marker causes a SEGFAULT
    if applyChanges() was not called on the server at least once since the
    marker was created. I traced the actual SEGFAULT to the doSetPose
    function. The value of header passed from setPose() is invalid because,
    in this case, marker_context_it = marker_contexts_.end().
    I added a check for this case and, if there is no marker is present,
    instead use the header from the pending update.
  * Contributors: David Gossow, Mike Koval, William Woodall, ipa-fxm

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 15 Dec 2014 23:00:00 -0000

ros-rolling-interactive-markers (1.11.0-2noble) noble; urgency=high

  * Adding William Woodall as maintainer
  * fix threading bugs
    Fix locking of data structures shared across threads.
  * Contributors: Acorn Pooley, William Woodall, hersh

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 23 Feb 2014 23:00:00 -0000

ros-rolling-interactive-markers (1.10.2-2noble) noble; urgency=high

  * fix regression in menu_handler.py
    fixes #14 <https://github.com/ros-visualization/interactive_markers/issues/14>
  * Contributors: William Woodall

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 02 Feb 2014 23:00:00 -0000

ros-rolling-interactive-markers (1.10.1-2noble) noble; urgency=high

  * cleanup python code and package contents
  * remove useless dependencies
  * Contributors: Vincent Rabaud, William Woodall

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 26 Jan 2014 23:00:00 -0000

ros-rolling-interactive-markers (1.10.0-2noble) noble; urgency=high

  * remove debug statement that could produce segfault; init_it->msg->markers may be empty
  * Contributors: Filip Jares

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 22 Jan 2014 23:00:00 -0000


